Get All Flow api

Use this API to get a list of all flows.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'

Sample Response

[
    {
        "categories": [
            "APPOINTMENT_BOOKING"
        ],
        "id": "460785803057688",
        "name": "Message templates_delivery_failed_form_1_APPOINTMENT_BOOKING_93375",
        "status": "PUBLISHED",
        "validation_errors": []
    },
    {
        "categories": [
            "SIGN_UP"
        ],
        "id": "881255207342075",
        "name": "Message templates_temp_signup_form_MARKETING_e7589",
        "status": "PUBLISHED",
        "validation_errors": []
    },
    {
        "categories": [
            "SIGN_UP"
        ],
        "id": "356169917364619",
        "name": "flow_sign_up",
        "status": "PUBLISHED",
        "validation_errors": []
    }
]

Status Codes

Status CodeResponseComments
Success
200

[

{
"categories": [
"APPOINTMENT_BOOKING"
],
"id": "460785803057688",
"name": "Message templates_delivery_failed_form_1_APPOINTMENT_BOOKING_93375",
"status": "PUBLISHED",
"validation_errors": []
},
{
"categories": [
"SIGN_UP"
],
"id": "881255207342075",
"name": "Message templates_temp_signup_form_MARKETING_e7589",
"status": "PUBLISHED",
"validation_errors": []
},
{
"categories": [
"SIGN_UP"
],
"id": "356169917364619",
"name": "flow_sign_up",
"status": "PUBLISHED",
"validation_errors": []
}
]

Get all flows associated to app ID
Error
401

{

"status": "error",
"message": "Unauthorised access to the resource. Please review request parameters and headers and retry"
}

For invalid app Id or partner app token
Path Params
string
required

Unique identifier of the app.

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json